#
# spec file for package postgres (Version 7.0.2)
# 
# Copyright  (c)  2000  SuSE GmbH  Nuernberg, Germany.
#
# please send bugfixes or comments to feedback@suse.de.
#

# Up to 7.0.3 by lamar@postgresql.org

# neededforbuild  python tcl tk tcld gpp libgpp autoconf automake
# usedforbuild    aaa_base aaa_dir autoconf automake base bash bindutil binutils bison bzip compress cpio cracklib devs diff ext2fs file fileutil find flex gawk gcc gdbm gettext gpm gpp gppshare groff gzip kbd less libc libgpp libtool libz lx_suse make mktemp modules ncurses net_tool netcfg nkita nkitb nssv1 pam patch perl pgp ps python rcs rpm sendmail sh_utils shadow shlibs strace syslogd sysvinit tcl tcld texinfo textutil timezone tk unzip util vim xdevel xf86 xshared

Vendor:       SuSE GmbH, Nuernberg, Germany
Distribution: SuSE Linux 7.0 (i386)
Name:         postgres
Release:      1suse7
Packager:     feedback@suse.de

Summary:      PostgreSQL - the Database
Version:      7.0.3
Copyright: BSD
Group: Applications/Databases
Source0: ftp://ftp.postgresql.org/pub/source/v%{version}/postgresql-%{version}.tar.gz
Source1: http://www.retep.org.uk/postgres/jdbc6.5-1.1.jar
Source2: http://www.retep.org.uk/postgres/jdbc6.5-1.2.jar
Source3: rc
Source4: rc.config.postgres
Source5: SuSEconfig.postgres
Source6: README.rpm.postgresql-%{version}
Source7: pg-migration-scripts-%{version}.tar.gz
Source8: pkgIndex.tcl
Source9: pg_options
Source10: http://www.retep.org.uk/postgres/jdbc7.0-1.1.jar
Source11: http://www.retep.org.uk/postgres/jdbc7.0-1.2.jar
Source12: postgresql-dump.1.gz
Source13: index.html
Patch0: postgresql-%{version}-alpha.patch.gz
Patch1: postgresql-%{version}.dif
Patch2: postgresql-%{version}-ia64.dif
Patch3: pg-migration-scripts.dif
Prefix: /usr
Url: http://www.postgresql.org
Prereq: pg_lib = %{version}
Buildroot: /var/tmp/%{name}-%{version}-root

%description
DBMS (DataBase Management System) PostgreSQL is the successor
of the relational database system INGRES. It has been developed at
Berkeley, University of California.
The main advantages of the new system are:
- better support of complex objects;
- improved user-side adaption of data types, operators
and access methods;
- integration of active databases (alerts and triggers),
conclusions including forward and backward chaining;
- simplification of dbms code for restore after a crash.
- provision of a design which concatenates the advantages
of optical disks and workstations which consist of many
compound processors and customer-specific VLSI chips;
- avoidance of too many changes according to relational
model. 
The query language for this system is SQL.
This system offers you a wide range of additional features such as
transparent history-system, embedding in your own C-routines, shell scripts
and more.

Authors:
--------
    Andrew Yu <andrew@CS.Berkeley.edu>
    Jolly Chen <jolly@CS.Berkeley.edu>
    Bruce Momjian <maillist@candle.pha.pa.us>
    Thomas G. Lockhart <lockhart@alumni.caltech.edu>
    Tom Lane <tgl@sss.pgh.pa.us>
    The Hermit Hacker <scrappy@hub.org>
    etc.

SuSE series: ap

%package -n pg_lib
Group: Applications/Databases
Summary:      Dynamic libraries for PostgreSQL clients
Obsoletes: pg_ifa

%description -n pg_lib
This package contains the dynamic libraries for C and C++ that are needed by
various client programs and client libraries (e.g. psql, Tcl, Perl, Python,
PHP3). 

Authors:
--------
    Andrew Yu <andrew@CS.Berkeley.edu>
    Jolly Chen <jolly@CS.Berkeley.edu>
    Bruce Momjian <maillist@candle.pha.pa.us>
    Thomas G. Lockhart <lockhart@alumni.caltech.edu>
    Tom Lane <tgl@sss.pgh.pa.us>
    The Hermit Hacker <scrappy@hub.org>
    etc.

SuSE series: ap

%package -n pg_serv
Summary:      The programs needed to create and run a PostgreSQL server
Group: Applications/Databases
Prereq: pg_lib = %{version}
Requires: postgres = %{version}

%description -n pg_serv
The postgresql-server package includes the programs needed to create
and run a PostgreSQL server, which will in turn allow you to create
and maintain PostgreSQL databases.  PostgreSQL is an advanced
Object-Relational database management system (DBMS) that supports
almost all SQL constructs (including transactions, subselects and
user-defined types and functions). You should install
postgresql-server if you want to create and maintain your own
PostgreSQL databases and/or your own PostgreSQL server. You also need
to install the postgresql and postgresql-devel packages.

Authors:
--------
    Andrew Yu <andrew@CS.Berkeley.edu>
    Jolly Chen <jolly@CS.Berkeley.edu>
    Bruce Momjian <maillist@candle.pha.pa.us>
    Thomas G. Lockhart <lockhart@alumni.caltech.edu>
    Tom Lane <tgl@sss.pgh.pa.us>
    The Hermit Hacker <scrappy@hub.org>
    etc.

SuSE series: ap

%package -n pg_devel
Summary:      PostgreSQL development header files and libraries
Group: Development/Libraries
Requires: postgres = %{version}

%description -n pg_devel
Tis package contains the header files and libraries
needed to compile C or C++ applications which will directly interact
with a PostgreSQL database management server and the ecpg Embedded C
Postgres preprocessor. You need to install this package if you want to
develop applications which will interact with a PostgreSQL server. If
you're installing postgresql-server, you need to install this
package. 

Authors:
--------
    Andrew Yu <andrew@CS.Berkeley.edu>
    Jolly Chen <jolly@CS.Berkeley.edu>
    Bruce Momjian <maillist@candle.pha.pa.us>
    Thomas G. Lockhart <lockhart@alumni.caltech.edu>
    Tom Lane <tgl@sss.pgh.pa.us>
    The Hermit Hacker <scrappy@hub.org>
    etc.

SuSE series: ap

%package -n pg_tcl
Summary:      A Tcl client library, and the PL/Tcl procedural language for PostgreSQL
Group: Applications/Databases
Requires: tcl >= 8.0, pg_lib = %{version}

%description -n pg_tcl
PostgreSQL is an advanced Object-Relational database management
system. The postgresql-tcl package contains the libpgtcl client library,
the pg-enchanced pgtclsh, and the PL/Tcl procedural language for the backend.

Authors:
--------
    Andrew Yu <andrew@CS.Berkeley.edu>
    Jolly Chen <jolly@CS.Berkeley.edu>
    Bruce Momjian <maillist@candle.pha.pa.us>
    Thomas G. Lockhart <lockhart@alumni.caltech.edu>
    Tom Lane <tgl@sss.pgh.pa.us>
    The Hermit Hacker <scrappy@hub.org>
    etc.

SuSE series: ap

%package -n pg_tk
Summary:      Tk shell and tk-based GUI for PostgreSQL
Group: Applications/Databases
Requires: tcl >= 8.0, tk >= 8.0, pg_lib = %{version}
Obsoletes: pgaccess

%description -n pg_tk
PostgreSQL is an advanced Object-Relational database management
system. The postgresql-tk package contains the pgaccess
program. Pgaccess is a graphical front end, written in Tcl/Tk, for the
psql and related PostgreSQL client programs.

Authors:
--------
    Andrew Yu <andrew@CS.Berkeley.edu>
    Jolly Chen <jolly@CS.Berkeley.edu>
    Bruce Momjian <maillist@candle.pha.pa.us>
    Thomas G. Lockhart <lockhart@alumni.caltech.edu>
    Tom Lane <tgl@sss.pgh.pa.us>
    The Hermit Hacker <scrappy@hub.org>
    etc.

SuSE series: ap

%package -n pg_odbc
Summary:      The ODBC driver needed for accessing a PostgreSQL DB using ODBC
Group: Applications/Databases

%description -n pg_odbc
PostgreSQL is an advanced Object-Relational database management
system. This package includes the ODBC (Open DataBase
Connectivity) driver and sample configuration files needed for
applications to access a PostgreSQL database using ODBC.

Authors:
--------
    Andrew Yu <andrew@CS.Berkeley.edu>
    Jolly Chen <jolly@CS.Berkeley.edu>
    Bruce Momjian <maillist@candle.pha.pa.us>
    Thomas G. Lockhart <lockhart@alumni.caltech.edu>
    Tom Lane <tgl@sss.pgh.pa.us>
    The Hermit Hacker <scrappy@hub.org>
    etc.

SuSE series: ap

%package -n pg_perl
Summary:      Development module needed for Perl code to access a PostgreSQL DB
Group: Applications/Databases
Requires: perl >= 5.004-4, pg_lib = %{version}
Obsoletes: pg_iface

%description -n pg_perl
PostgreSQL is an advanced Object-Relational database management
system. This package includes a module for developers
to use when writing Perl code for accessing a PostgreSQL database.

Authors:
--------
    Andrew Yu <andrew@CS.Berkeley.edu>
    Jolly Chen <jolly@CS.Berkeley.edu>
    Bruce Momjian <maillist@candle.pha.pa.us>
    Thomas G. Lockhart <lockhart@alumni.caltech.edu>
    Tom Lane <tgl@sss.pgh.pa.us>
    The Hermit Hacker <scrappy@hub.org>
    etc.

SuSE series: ap

%package -n pg_pyth
Summary:      Development module for Python code to access a PostgreSQL DB
Group: Applications/Databases
Requires: python >= 1.5, pg_lib = %{version}

%description -n pg_pyth
PostgreSQL is an advanced Object-Relational database management
system. The postgresql-python package includes a module for
developers to use when writing Python code for accessing a PostgreSQL
database. 

Authors:
--------
    Andrew Yu <andrew@CS.Berkeley.edu>
    Jolly Chen <jolly@CS.Berkeley.edu>
    Bruce Momjian <maillist@candle.pha.pa.us>
    Thomas G. Lockhart <lockhart@alumni.caltech.edu>
    Tom Lane <tgl@sss.pgh.pa.us>
    The Hermit Hacker <scrappy@hub.org>
    etc.

SuSE series: ap

%package -n pg_jdbc
Summary:      Files needed for Java programs to access a PostgreSQL database
Group: Applications/Databases

%description -n pg_jdbc
PostgreSQL is an advanced Object-Relational database management
system. This package includes the .jar file needed for
Java programs to access a PostgreSQL database.

Authors:
--------
    Andrew Yu <andrew@CS.Berkeley.edu>
    Jolly Chen <jolly@CS.Berkeley.edu>
    Bruce Momjian <maillist@candle.pha.pa.us>
    Thomas G. Lockhart <lockhart@alumni.caltech.edu>
    Tom Lane <tgl@sss.pgh.pa.us>
    The Hermit Hacker <scrappy@hub.org>
    etc.

SuSE series: ap

%package -n pg_test
Summary:      The test suite distributed with PostgreSQL
Group: Applications/Databases
Requires: postgres = %{version}

%description -n pg_test
PostgreSQL is an advanced Object-Relational database management
system. The postgresql-test package includes the sources and pre-built
binaries of various tests for the PostgreSQL database management
system, including regression tests and benchmarks.

Authors:
--------
    Andrew Yu <andrew@CS.Berkeley.edu>
    Jolly Chen <jolly@CS.Berkeley.edu>
    Bruce Momjian <maillist@candle.pha.pa.us>
    Thomas G. Lockhart <lockhart@alumni.caltech.edu>
    Tom Lane <tgl@sss.pgh.pa.us>
    The Hermit Hacker <scrappy@hub.org>
    etc.

SuSE series: ap

%define INSTALL install -m755 -s
%define INSTALL_SCRIPT install -m755
%define INSTALL_DIR install -d -m755
%define INSTALL_DATA install -m644
%prep
%setup -q -n postgresql-%{version}
# The alpha patches are not trivial, so wrap in ifarch-endif block
#
%ifarch alpha
%patch0 -p1
%endif
#%ifarch ia64
%patch2
#%endif
%patch1 

%build
pushd src
# XXX libtoolize dinna work
# WHAT is 'libtoolize???' LRO
# a program distributed with the libtool package
#cp /usr/share/libtool/config.* .
CFLAGS="$RPM_OPT_FLAGS" ./configure \
	--enable-hba --enable-locale \
	--prefix=/usr --mandir=%{_mandir} --with-perl \
	--disable-cassert --with-tcl --with-tk --with-x \
	--with-odbc --with-java --with-python --enable-syslog\
%ifarch alpha
	--with-template=linux_alpha
%else
	--with-template=linux_i386
%endif
make COPT="$RPM_OPT_FLAGS" all
# pl/perl build, courtesy Karl DeBisschop (Thanks, Karl!)
# disabled in this build due to problems with build.
#pushd pl/plperl
#ar -x /usr/lib/perl5/5.00503/i386-linux/CORE/libperl.a
#gcc -shared -o libperl.so *.o
#perl Makefile.PL
#make
#popd
pushd interfaces/python
cp /usr/lib/python1.5/config/Makefile.pre.in .
echo *shared* > Setup
echo _pg pgmodule.c -I../../include -I../libpq -L../libpq -lpq -lcrypt >> Setup
make -f Makefile.pre.in boot
make
popd
popd
make all PGDOCS=unpacked -C doc
pushd src/test
make all
popd

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/usr/{include/pgsql,lib,bin,sbin}
mkdir -p $RPM_BUILD_ROOT%{_mandir}
mkdir -p $RPM_BUILD_ROOT/usr/lib/perl5/site_perl/%{_arch}-linux/auto/Pg
make POSTGRESDIR=$RPM_BUILD_ROOT/usr PREFIX=$RPM_BUILD_ROOT/usr -C src install
#make POSTGRESDIR=$RPM_BUILD_ROOT/usr PREFIX=$RPM_BUILD_ROOT/usr -C src/man install
make POSTGRESDIR=$RPM_BUILD_ROOT/usr PREFIX=$RPM_BUILD_ROOT/usr -C src/interfaces/perl5 install
# pl/perl....
#make POSTGRESDIR=$RPM_BUILD_ROOT/usr PREFIX=$RPM_BUILD_ROOT/usr -C src/pl/plperl install
#cp -v src/pl/plperl/libperl.so $RPM_BUILD_ROOT/usr/lib/
# Get rid of the packing list generated by the perl Makefile, and build my own...
find $RPM_BUILD_ROOT/usr/lib/perl5 -name .packlist -exec rm -f {} \;
find $RPM_BUILD_ROOT/usr/lib/perl5 -type f -print | \
	sed -e "s|$RPM_BUILD_ROOT/|/|g"  | \
	sed -e "s|.*/man/.*|&\*|" > perlfiles.list
find $RPM_BUILD_ROOT/usr/lib/perl5 -type d -name Pg -print | \
	sed -e "s|$RPM_BUILD_ROOT/|%dir /|g" >> perlfiles.list
make -C doc
#make -C doc man
# Newer man pages from Thomas Lockhart
pushd $RPM_BUILD_ROOT%{_mandir}
tar xzf $RPM_BUILD_DIR/postgresql-%{version}/doc/man.tar.gz
# the postgresql-dump manpage.....
cp %{SOURCE12} man1
popd
# Move all includes beneath /usr/include/pgsql.
pushd $RPM_BUILD_ROOT/usr/include
rm -rf pgsql/*
for f in *.h access commands executor iodbc lib libpq libpq++ port utils ; do
     mv $f pgsql
done
popd
# copy over the includes needed for SPI development.
pushd src/include
/lib/cpp -M -I. -I../backend executor/spi.h |xargs -n 1|grep \\W|grep -v ^/|grep -v spi.h | sort |cpio -pdu $RPM_BUILD_ROOT/usr/include/pgsql
# thank you, cpio....
#fixup directory permissions for SPI stuff...
pushd $RPM_BUILD_ROOT/usr/include/pgsql
chmod 555 access catalog executor lib nodes parser rewrite storage tcop utils
popd
popd
# Move all templates/examples beneath /usr/lib/pgsql
pushd $RPM_BUILD_ROOT/usr/lib
  mkdir -p pgsql
  mv *.source *.sample *.description pgsql
popd
# Get interface-specific tests and examples, and stuff under /usr/lib/pgsql
pushd src/interfaces
mkdir -p $RPM_BUILD_ROOT/usr/lib/pgsql/perl5
cp -a perl5/test.pl perl5/eg $RPM_BUILD_ROOT/usr/lib/pgsql/perl5
mkdir -p $RPM_BUILD_ROOT/usr/lib/pgsql/python
cp -a python/tutorial $RPM_BUILD_ROOT/usr/lib/pgsql/python
popd
# Get example odbcinst.ini and put in /usr/lib/pgsql
mv $RPM_BUILD_ROOT/usr/odbcinst.ini $RPM_BUILD_ROOT/usr/lib/pgsql
# pgaccess installation
pushd src/bin
install -m 755 pgaccess/pgaccess $RPM_BUILD_ROOT/usr/bin
mkdir -p $RPM_BUILD_ROOT/usr/lib/pgsql/pgaccess
install -m 644 pgaccess/main.tcl $RPM_BUILD_ROOT/usr/lib/pgsql/pgaccess
tar cf - pgaccess/lib pgaccess/images | tar xf - -C $RPM_BUILD_ROOT/usr/lib/pgsql
cp -a pgaccess/doc/html   ../../doc/pgaccess
cp    pgaccess/demo/*.sql ../../doc/pgaccess
popd
# Python
pushd src/interfaces/python
# Makefile.pre.in doesn't yet support .py files anyway, so we stick to a manual installation
  mkdir -p $RPM_BUILD_ROOT/usr/lib/python1.5/site-packages
  install -m 755 _pgmodule.so *.py $RPM_BUILD_ROOT/usr/lib/python1.5/site-packages/
popd
# Java/JDBC
# We know that JDK1.2 is pre-beta at this time, so install the JDK1.1-compatible driver
# as well as the JDK1.2 compatible driver.
# The user will have to set a CLASSPATH to find it here, but not sure where else to put it...
# Install 6.5 JDBC jars for now.
install -m 755 %{SOURCE1} $RPM_BUILD_ROOT/usr/lib/pgsql
install -m 755 %{SOURCE2} $RPM_BUILD_ROOT/usr/lib/pgsql
# Install 7.0 JDBC jars -- in addition to, not replacing 6.5 stuff yet.
install -m 755 %{SOURCE10} $RPM_BUILD_ROOT/usr/lib/pgsql
install -m 755 %{SOURCE11} $RPM_BUILD_ROOT/usr/lib/pgsql
chmod 644 $RPM_BUILD_ROOT%{_mandir}/*/*
chmod +x $RPM_BUILD_ROOT/usr/lib/lib*.so.*
%{INSTALL_DIR} $RPM_BUILD_ROOT/sbin/conf.d
%{INSTALL_DIR} $RPM_BUILD_ROOT/sbin/init.d/rc2.d
%{INSTALL_DIR} $RPM_BUILD_ROOT/sbin/init.d/rc3.d
%{INSTALL_DIR} $RPM_BUILD_ROOT/var/adm/fillup-templates
%{INSTALL_SCRIPT} %{SOURCE3} $RPM_BUILD_ROOT/sbin/init.d/postgres
ln -fs ../../sbin/init.d/postgres $RPM_BUILD_ROOT/usr/sbin/rcpostgres
%{INSTALL_DATA} %{SOURCE4} \
	$RPM_BUILD_ROOT/var/adm/fillup-templates/rc.config.postgres
%{INSTALL_SCRIPT} %{SOURCE5} $RPM_BUILD_ROOT/sbin/conf.d/SuSEconfig.postgres
%{INSTALL_DATA} %{SOURCE8} $RPM_BUILD_ROOT/usr/lib/pgsql/pkgIndex.tcl
cp %{SOURCE13} .
rm -f $RPM_BUILD_ROOT/sbin/init.d/rc[23].d/[KS]??postgres
ln -s ../postgres $RPM_BUILD_ROOT/sbin/init.d/rc2.d/S25postgres
ln -s ../postgres $RPM_BUILD_ROOT/sbin/init.d/rc2.d/K15postgres
ln -s ../postgres $RPM_BUILD_ROOT/sbin/init.d/rc3.d/S25postgres
ln -s ../postgres $RPM_BUILD_ROOT/sbin/init.d/rc3.d/K15postgres
# Move the PL's to the right place
mv $RPM_BUILD_ROOT/usr/lib/pl*.so $RPM_BUILD_ROOT/usr/lib/pgsql
# PGDATA needs removal of group and world permissions due to pg_pwd hole.
install -d -m 700 $RPM_BUILD_ROOT/var/lib/pgsql/data
# Initial pg_options
install -m 700 %{SOURCE9} $RPM_BUILD_ROOT/var/lib/pgsql/data/pg_options
# tests. There are many files included here that are unnecessary, but include
# them anyway for completeness.
cp -a src/test $RPM_BUILD_ROOT/usr/lib/pgsql
install -m 0755 src/config.guess $RPM_BUILD_ROOT/usr/lib/pgsql
install -m 0755 contrib/spi/refint.so $RPM_BUILD_ROOT/usr/lib/pgsql/test/regress
install -m 0755 contrib/spi/autoinc.so $RPM_BUILD_ROOT/usr/lib/pgsql/test/regress
# Upgrade scripts.
pushd $RPM_BUILD_ROOT
tar xzf %{SOURCE7}
cd usr
patch -p0 < %{PATCH3}
popd
#logrotate script source (which needs WORK)
mkdir -p $RPM_BUILD_ROOT/etc/logrotate.d
# no need for the OS2 client
rm -rf contrib/os2client
gzip doc/internals.ps
cp %{SOURCE6} README.rpm
# Symlink libpq.so.2.0 to libpq.so.2.1
pushd $RPM_BUILD_ROOT/usr/lib
ln -s libpq.so.2.1 libpq.so.2.0
popd
# move a perl man page which ends up in a weird place - sometimes
if [ -a $RPM_BUILD_ROOT/usr/lib/perl5/man/$RPM_BUILD_ROOT/usr/Pg.3  ]
then
    mkdir -p $RPM_BUILD_ROOT/usr/lib/perl5/man/man3 
    mv $RPM_BUILD_ROOT/usr/lib/perl5/man/$RPM_BUILD_ROOT/usr/Pg.3 $RPM_BUILD_ROOT/usr/lib/perl5/man/man3/ 
    rm -fr  $RPM_BUILD_ROOT/usr/lib/perl5/man/$RPM_BUILD_ROOT 
    perl -pi -e "s@man/usr/@man/man3/@" $RPM_BUILD_DIR/postgresql-%{version}/perlfiles.list
fi
# remove perllocal.pod from the file list - only occurs with 5.6
perl -pi -e "s/^.*perllocal.pod$//" perlfiles.list
# Strip 'em all
strip $RPM_BUILD_ROOT/usr/bin/* || :
export RPM_BUILD_ROOT
%{?suse_check}

%pre -n pg_lib
rcfile=sbin/init.d/postgres
test -x $rcfile && $rcfile stop && sleep 2
# Need to make backups of some executables if an upgrade
# They will be needed to do a dump of the old version's database.
# All output redirected to /dev/null.
if [ -e usr/bin/postgres -o -e usr/lib/pgsql/bin/postgres ]
then
  %{INSTALL_DIR} -m 700 -o postgres -g daemon \
	/usr/lib/pgsql/backup \
	/var/lib/pgsql/data \
	/var/lib/pgsql/backups
  echo -n Making backups of some binaries and libs for database migration ...
  BASE=$(pwd)
  BACKUP=$BASE/usr/lib/pgsql/backup
  mkdir -p $BACKUP
  test -e $BASE/usr/lib/pgsql/bin/postgres &&
	cd $BASE/usr/lib/pgsql/bin ||
	cd $BASE/usr/bin
  cp -fpd postmaster postgres pg_dump pg_dumpall psql $BACKUP
  FIND_PATH=$BASE/usr/lib
  test -d $BASE/usr/lib/pgsql/lib && FIND_PATH="$FIND_PATH $BASE/usr/lib/pgsql/lib"
  find $FIND_PATH -name "libpq.so*" -maxdepth 1 -exec cp -fpd {} $BACKUP \;
  echo " done."
fi

%post -n pg_serv
touch var/log/postgresql
chown postgres.daemon var/log/postgresql
chmod 0700 var/log/postgresql
if [ -x bin/fillup ] ; then
  bin/fillup -q etc/rc.config var/adm/fillup-templates/rc.config.postgres
else
  echo "ERROR: fillup not found. This should not happen. Please compare"
  echo "etc/rc.config and var/adm/fillup-templates/rc.config.postgres and"
  echo "update by hand."
fi
mkdir -p var/adm/notify/messages
cat << EOF > var/adm/notify/messages/postgres-update
Hi,
while upgrading PostgreSQL, backups of the old binaries were created
in /usr/lib/pgsql/backup. They are needed to upgrade the database files
and can be deleted afterwards.
For details about upgrading the database files see the section UPGRADING
of the file /usr/share/doc/packages/postgres/README.rpm .
EOF

%preun -n pg_serv
rcfile=sbin/init.d/postgres
test -x $rcfile && $rcfile stop && sleep 2

%clean
rm -rf $RPM_BUILD_ROOT
rm -f perlfiles.list

%files
%defattr(-,root,root)
%doc doc/FAQ doc/FAQ_Linux doc/README* 
%doc COPYRIGHT README HISTORY doc/bug.template doc/FAQ_Linux README.linux
%doc contrib doc/unpacked/* index.html
# %doc doc/*.ps.gz
# %doc howto
%doc README.rpm index.html
/usr/bin/createdb
/usr/bin/createlang
/usr/bin/createuser
/usr/bin/dropdb
/usr/bin/droplang
/usr/bin/dropuser
/usr/bin/pg_dump
/usr/bin/pg_dumpall
/usr/bin/pg_id
/usr/bin/psql
/usr/bin/vacuumdb
%{_mandir}/man1/createdb.1*
%{_mandir}/man1/createlang.1*
%{_mandir}/man1/createuser.1*
%{_mandir}/man1/dropdb.1*
%{_mandir}/man1/droplang.1*
%{_mandir}/man1/dropuser.1*
%{_mandir}/man1/pg_dump.1*
%{_mandir}/man1/pg_dumpall.1*
%{_mandir}/man1/psql.1*
%{_mandir}/manl/*

%files -n pg_lib
%attr(755,root,root) /usr/lib/libpq.so*
%attr(755,root,root) /usr/lib/libecpg.so*
%attr(755,root,root) /usr/lib/libpq++.so*
%attr(755,root,root) /usr/lib/libpgeasy.so*

%files -n pg_serv
%defattr(-,root,root)
/var/adm/fillup-templates/rc.config.postgres
/sbin/conf.d/SuSEconfig.postgres
/sbin/init.d/postgres
/sbin/init.d/rc[23].d/*postgres
/usr/sbin/rcpostgres
/usr/bin/initdb
/usr/bin/initlocation
/usr/bin/ipcclean
/usr/bin/pg_ctl
/usr/bin/pg_passwd
/usr/bin/pg_upgrade
/usr/bin/pg_version
/usr/bin/postgres
/usr/bin/postgresql-dump
/usr/bin/postmaster
%{_mandir}/man1/initdb.1*
%{_mandir}/man1/initlocation.1*
%{_mandir}/man1/ipcclean.1*
%{_mandir}/man1/pg_ctl.1*
%{_mandir}/man1/pgadmin.1*
%{_mandir}/man1/pg_passwd.1*
%{_mandir}/man1/postgres.1*
%{_mandir}/man1/postmaster.1*
%{_mandir}/man1/pg_upgrade.1*
%{_mandir}/man1/vacuumdb.1*
%{_mandir}/man1/postgresql-dump.1*
/usr/lib/pgsql/global1.bki.source
/usr/lib/pgsql/global1.description
/usr/lib/pgsql/local1_template1.bki.source
/usr/lib/pgsql/local1_template1.description
/usr/lib/pgsql/*.sample
/usr/lib/pgsql/plpgsql.so
/usr/lib/pgsql/backup/pg_dumpall_new
%attr(700,postgres,daemon) /var/lib/pgsql/data/pg_options

%files -n pg_devel
%defattr(-,root,root)
/usr/include/pgsql
/usr/bin/ecpg
/usr/lib/lib*.a
%{_mandir}/man1/ecpg.1*

%files -n pg_tcl
%defattr(-,root,root)
%attr(755,root,root) /usr/lib/libpgtcl.so*
/usr/bin/pgtclsh
%{_mandir}/man1/pgtclsh.1*
/usr/lib/pgsql/pltcl.so
/usr/lib/pgsql/pkgIndex.tcl

%files -n pg_tk
%defattr(-,root,root)
%doc doc/pgaccess/*
/usr/lib/pgsql/pgaccess
/usr/bin/pgaccess
/usr/bin/pgtksh
%{_mandir}/man1/pgaccess.1*
%{_mandir}/man1/pgtksh.1*

%files -n pg_odbc
%defattr(-,root,root)
%attr(755,root,root) /usr/lib/libpsqlodbc.so*
/usr/lib/pgsql/odbcinst.ini

%files -f perlfiles.list -n pg_perl
%dir /usr/lib/perl5/site_perl/%{_arch}-linux/auto
/usr/lib/pgsql/perl5
#%files plperl
#/usr/lib/pgsql/plperl.so
#/usr/lib/libperl.so

%files -n pg_pyth
%defattr(-,root,root)
/usr/lib/python1.5/site-packages/_pgmodule.so
/usr/lib/python1.5/site-packages/*.py
/usr/lib/pgsql/python

%files -n pg_jdbc
%defattr(-,root,root)
/usr/lib/pgsql/jdbc6.5-1.1.jar
/usr/lib/pgsql/jdbc6.5-1.2.jar
/usr/lib/pgsql/jdbc7.0-1.1.jar
/usr/lib/pgsql/jdbc7.0-1.2.jar

%files -n pg_test
%defattr(-,postgres,daemon)
%attr(755,postgres,daemon)/usr/lib/pgsql/config.guess
%attr(-,postgres,daemon)/usr/lib/pgsql/test/regress/*

%changelog -n postgres
* Mon Nov 13 2000 <lamar@postgresql.org>
- RELEASE 7.0.3-1suse7
- Official 7.0.3 release tarball.
- NOTE: The redhat-style packages will soon be able to generate SuSE binaries.

* Mon Nov 06 2000 <lamar@postgresql.org>
- RELEASE 7.0.3-0.2
- Uprev to 7.0.3.
- Better pg_test package -- only package the regression tests.
- Use the --enable-syslog configure switch instead of patching USE_SYSLOG

* Mon Jul 03 2000 - max@suse.de
- Disabled fcntl(F_SETLK) on the postmaster socket to work arround
  a kernel bug in Linux <= 2.2.16.
- New subpackage: pg_lib contains the shared libs for C and C++.
* Thu Jun 29 2000 - schwab@suse.de
- Fix spinlocks for ia64.
- Reenable ia64 patch on the other architectures.
* Wed Jun 28 2000 - max@suse.de
- disabled the ia64 patch when building for other architectures
- database unload+reload on updates works now
- moved some script and config files out of the diff into
  source files of their own.
- template database creation moved from init script into SuSEconfig
- some minor cleanups
* Tue Jun 20 2000 - schwab@suse.de
- Add support for ia64.
* Fri Jun 09 2000 - max@suse.de
- New version: 7.0.2.
- Re-made the whole package based on the original PostgreSQL RPM.
- There is still a little work needed for clean updates from
  PostgreSQL 6.x to 7.0.x
- Heavy testing needed before SuSE Linux 7.0.
* Sun Apr 09 2000 - bk@suse.de
- added suse update config macro
- added automake to list of packages needed for building postgres
* Thu Feb 10 2000 - ke@suse.de
- add more source files from the official PostgreSQL package.
- start to apply patches from there.
- start to cleanup the spec file.
- start to resolve bug #1948.
* Wed Feb 09 2000 - ke@suse.de
- add group tag.
- ./configure -> %build.
- New default for rc.config variable START_POSTGRES ("no").
* Fri Dec 10 1999 - ke@suse.de
- update: version 6.5.3.
- startup script: use -S to remove the socket.
* Tue Oct 12 1999 - ro@suse.de
- added tcld to neededforbuild
* Mon Sep 13 1999 - bs@suse.de
- ran old prepare_spec on spec file to switch to new prepare_spec.
* Mon Aug 02 1999 - ke@suse.de
- postgresql init script: remove the socket in /tmp before trying to
  start the postmaster.
* Thu Jul 29 1999 - ke@suse.de
- update: version 6.5.1.
* Tue Jul 20 1999 - ke@suse.de
- remove MANPATH setting from /etc/postgres.{sh,csh} and from
  /etc/pg_ifa.{sh,csh}.
- provide manpage links at /usr/share/man:
  /usr/lib/pgsql/man/man?/*.?.gz -> /urs/share/man/man?/*.?.pgsql.gz
- now, you'll find all manpage in "pg_ifa".
* Thu Mar 18 1999 - ke@suse.de
- compile an install "spi" (on popular demand...).
* Wed Feb 10 1999 - ke@suse.de
- security fix: don't create pg_pwd with mode 666 (thanks to mt).
* Mon Feb 01 1999 - ke@suse.de
- fix permissions of libs (thanks to mt).
* Fri Jan 08 1999 - ke@suse.de
- update: version 6.4.2.
* Tue Dec 01 1998 - ke@suse.de
- add /etc/profile.d/{postgres,pg_ifa}.csh (thanks to werner).
- new bootscript (thanks to werner).
* Fri Nov 27 1998 - ke@suse.de
- link libpgtcl against libcrypt.
* Thu Nov 12 1998 - bs@suse.de
- fixed spec file for new rpm.
* Fri Oct 30 1998 - ke@suse.de
- update: version 6.4-BETA4.
* Sun Sep 27 1998 - ke@suse.de
- update: version pre6.4 (snapshot 1998-09-27).
- remove pgaccess (it's a separate package now).
- all libraries and binaries are under the separate hierarchy
  /usr/lib/pgsql (on customers' request...).
- provide /etc/profile.d/{postgres,pg_ifa}.sh; .csh files are still
  missing.
* Mon Aug 24 1998 - ke@suse.de
- shut down the postmaster before uninstalling.
* Tue Aug 18 1998 - ke@suse.de
- add pgaccess' GIFs (HTML documentation).
* Sat Jul 25 1998 - ke@suse.de
- Use `-n postgres' to make the `%post' script available.
* Mon Jul 13 1998 - ke@suse.de
- update pgaccess: version 0.88.
* Thu May 28 1998 - ke@suse.de
- New package split: rip out the base interfaces (libraries and database
  tools); the new package is called pg_ifa (subpackage).
- update pgaccess: version 0.87.
* Fri May 22 1998 - ke@suse.de
- update: version 6.3.2
- package split to ease maintainability and user updates; now, we've the
  following packages:
  postgres : base packages, essential interfaces included (libpq,
  libpq++, libpqtcl and PgAccess).
  pg_datab : initial database (needed only for the first
  installation or in case of major number updates); if
  not installed, the user has to invoke `initdb'
  manually.
  pg_iface : PostgreSQL interfaces (Perl, JDBC, more to come...).
* Thu May 07 1998 - fehr@suse.de
- add library -lXp for Motif 2.1
* Wed Feb 11 1998 - fehr@suse.de
- added the perl interface
* Wed Dec 10 1997 - ro@suse.de
- build static and dynamic version of dbbrowser and mpsql
* Wed Dec 03 1997 - ro@suse.de
- fixed /sbin/init.d/postgres (path, db-path, read rc.config)
  moved logfile to /var/log
* Tue Nov 18 1997 - bs@suse.de
- skipped man3/abort.3.gz
* Tue Nov 04 1997 - fehr@suse.de
- changed to version 6.2.1 of the new postgresSQL
- changed to version 1.5 of mpsql
- changed to version 0.2 of AppGEN
- added version 0.9 if dbbrowser
- prepare package for automatic build
- home Directory of postgrs user must now be /var/lib/postgres
- this Change is a major step since postgres95 it is possible
  that some changes are incompatible with the previos postgres
  versions.
* Mon Jun 09 1997 - fehr@suse.de
- make symbolic link in /usr/doc/packages relative
* Sun Jun 01 1997 - bs@suse.de
- moved fillup stuff to var/adm/fillup-templates
* Mon May 12 1997 - fehr@suse.de
- added startup-script for /sbin/init.d
- added fillup for /etc/rc.config START_POSTGRES
